Update user
curl --request PATCH \
--url https://api.quiva.ai/accounts/user \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"first_name": "John",
"last_name": "Smith",
"theme": "dark",
"sound": true
}
'import requests
url = "https://api.quiva.ai/accounts/user"
payload = {
"first_name": "John",
"last_name": "Smith",
"theme": "dark",
"sound": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({first_name: 'John', last_name: 'Smith', theme: 'dark', sound: true})
};
fetch('https://api.quiva.ai/accounts/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}User Management
Update user
Updates user information
PATCH
/
accounts
/
user
Update user
Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
User email (optional, defaults to current user)
First name
Last name
Enable sound
UI theme (light, dark, auto)
Enable TOTP authentication
Enable passkey authentication
User's notification preferences across all notification types and delivery channels.
Show child attributes
Show child attributes
Response
User updated successfully
⌘I